/*
 * This file is part of Skyward Hub.
 *
 * Skyward Hub is free software: you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation, either version 3 of the License, or (at your option) any later
 * version.
 *
 * Skyward Hub is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 *
 * You should have received a copy of the GNU General Public License along with
 * Skyward Hub. If not, see <https://www.gnu.org/licenses/>.
 *
 */

#pragma once

#include <Core/Message/Filter.h>
#include <Core/Message/Message.h>
#include <Modules/Module.h>

#include <QLabel>
#include <QWidget>

#include "ValvesList.h"

class ValvesViewer : public Module
{
    Q_OBJECT

public:
    ValvesViewer();
    ~ValvesViewer();

    XmlObject toXmlObject() override;
    void fromXmlObject(const XmlObject& xmlObject) override;

private:
    void setupUi();
    void customContextMenuActionSetup();
    void onConfigureClicked();
    void setFilter(const Filter& filter);
    void onMsgReceived(const Message& msg);

    QHBoxLayout* outerLayout;

    Filter filter;
    ValvesList::Valve currentState;
    static constexpr const char* baseStylesheet =
        "border-bottom-width:1px;border-left-width:1px;border-top-width:"
        "1px;border-radius:0;";
};
